## r-cran-rsample 0.0.5

=== DESCRIPTION ===
Package: rsample
Title: General Resampling Infrastructure
Version: 0.0.5
Authors@R: c(
    person(given = "Max",    family = "Kuhn",    email = "max@rstudio.com",      role = c("aut", "cre")),
    person(given = "Fanny",  family = "Chow",    email = "fannybchow@gmail.com", role = c("aut")),
    person(given = "Hadley", family = "Wickham", email = "hadley@rstudio.com",   role = c("aut")),
    person("RStudio", role = "cph"))
Maintainer: Max Kuhn <max@rstudio.com>
Description: Classes and functions to create and summarize different types of resampling objects (e.g. bootstrap, cross-validation). 
Imports: dplyr, purrr, tibble, rlang (>= 0.4.0), methods, generics,
        utils, tidyselect, furrr
Depends: R (>= 3.1), tidyr
Suggests: ggplot2, testthat, rmarkdown, knitr, AmesHousing, recipes (>=
        0.1.4), broom
URL: https://tidymodels.github.io/rsample
BugReports: https://github.com/tidymodels/rsample/issues
License: GPL-2
Encoding: UTF-8
VignetteBuilder: knitr
LazyData: true
RoxygenNote: 6.1.1
NeedsCompilation: no
Packaged: 2019-07-12 21:46:43 UTC; max
Author: Max Kuhn [aut, cre],
  Fanny Chow [aut],
  Hadley Wickham [aut],
  RStudio [cph]
Repository: CRAN
Date/Publication: 2019-07-12 22:20:11 UTC

=== debian/changelog ===
r-cran-rsample (0.0.5-2) unstable; urgency=medium

  * Standards-Version: 4.4.1
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database.

 -- Andreas Tille <tille@debian.org>  Mon, 11 Nov 2019 07:56:07 +0100

r-cran-rsample (0.0.5-1) unstable; urgency=medium

  * Initial release (closes: #940553)

 -- Andreas Tille <tille@debian.org>  Tue, 17 Sep 2019 11:01:26 +0200

=== debian/control ===
Source: r-cran-rsample
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-tidyr,
               r-cran-dplyr,
               r-cran-purrr,
               r-cran-tibble,
               r-cran-rlang (>= 0.4.0),
               r-cran-generics,
               r-cran-tidyselect,
               r-cran-furrr
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rsample
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rsample.git
Homepage: https://cran.r-project.org/package=rsample

Package: r-cran-rsample
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R general resampling infrastructure
 Classes and functions to create and summarize different types of
 resampling objects (e.g. bootstrap, cross-validation).
 .
 A resample is defined as the result of a two-way split of a data set.
 For example, when bootstrapping, one part of the resample is a sample
 with replacement of the original data. The other part of the split
 contains the instances that were not contained in the bootstrap sample.
 Cross-validation is another type of resampling.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-broom
Restrictions: allow-stderr

## r-cran-rsample 0.0.7

=== DESCRIPTION ===
Package: rsample
Title: General Resampling Infrastructure
Version: 0.0.7
Authors@R: c(
    person(given = "Max",    family = "Kuhn",    email = "max@rstudio.com",      role = c("aut", "cre")),
    person(given = "Fanny",  family = "Chow",    email = "fannybchow@gmail.com", role = c("aut")),
    person(given = "Hadley", family = "Wickham", email = "hadley@rstudio.com",   role = c("aut")),
    person("RStudio", role = "cph"))
Maintainer: Max Kuhn <max@rstudio.com>
Description: Classes and functions to create and summarize different types of resampling objects (e.g. bootstrap, cross-validation). 
Imports: dplyr (>= 0.8.5), purrr, tibble, rlang (>= 0.4.0), methods,
        generics, utils, tidyselect, furrr, tidyr, vctrs (>= 0.3.0)
Depends: R (>= 3.2)
Suggests: ggplot2, testthat, rmarkdown, knitr, AmesHousing, recipes (>=
        0.1.4), broom, xml2, covr, modeldata
URL: https://rsample.tidymodels.org,
        https://github.com/tidymodels/rsample
BugReports: https://github.com/tidymodels/rsample/issues
License: GPL-2
Encoding: UTF-8
VignetteBuilder: knitr
LazyData: true
RoxygenNote: 7.1.0.9000
NeedsCompilation: no
Packaged: 2020-06-04 02:44:05 UTC; max
Author: Max Kuhn [aut, cre],
  Fanny Chow [aut],
  Hadley Wickham [aut],
  RStudio [cph]
Repository: CRAN
Date/Publication: 2020-06-04 07:40:03 UTC

=== debian/changelog ===
r-cran-rsample (0.0.7-0ubuntu1) groovy; urgency=medium

  * New upstream version 0.0.7

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 18 Jun 2020 21:22:04 +0200

r-cran-rsample (0.0.6-2) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Submit, Repository, Repository-
    Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 19 May 2020 21:27:56 +0200

r-cran-rsample (0.0.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 04 Apr 2020 17:56:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,27 @@
 Source: r-cran-rsample
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-r,
-               r-base-dev,
-               r-cran-tidyr,
-               r-cran-dplyr,
+               r-base-dev (>= 0.4.0),
+               r-cran-dplyr (>= 0.8.5),
                r-cran-purrr,
                r-cran-tibble,
                r-cran-rlang (>= 0.4.0),
                r-cran-generics,
                r-cran-tidyselect,
-               r-cran-furrr
-Standards-Version: 4.4.1
+               r-cran-furrr,
+               r-cran-tidyr,
+               r-cran-vctrs (>= 0.3.0)
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rsample
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rsample.git
 Homepage: https://cran.r-project.org/package=rsample
+Rules-Requires-Root: no
 
 Package: r-cran-rsample
 Architecture: all

## r-cran-rsample 0.0.8

=== DESCRIPTION ===
Package: rsample
Title: General Resampling Infrastructure
Version: 0.0.8
Authors@R: c(
    person(given = "Max",    family = "Kuhn",    email = "max@rstudio.com",      role = c("aut", "cre")),
    person(given = "Fanny",  family = "Chow",    email = "fannybchow@gmail.com", role = c("aut")),
    person(given = "Hadley", family = "Wickham", email = "hadley@rstudio.com",   role = c("aut")),
    person("RStudio", role = "cph"))
Maintainer: Max Kuhn <max@rstudio.com>
Description: Classes and functions to create and summarize different types of resampling objects (e.g. bootstrap, cross-validation). 
Imports: dplyr (>= 0.8.5), purrr, tibble, rlang (>= 0.4.0), methods,
        generics, utils, tidyselect, furrr, tidyr, vctrs (>= 0.3.0),
        modeldata, slider (>= 0.1.5), ellipsis
Depends: R (>= 3.2)
Suggests: ggplot2, testthat, rmarkdown, knitr, AmesHousing, recipes (>=
        0.1.4), broom, xml2, covr
URL: https://rsample.tidymodels.org,
        https://github.com/tidymodels/rsample
BugReports: https://github.com/tidymodels/rsample/issues
License: GPL-2
Encoding: UTF-8
VignetteBuilder: knitr
LazyData: true
RoxygenNote: 7.1.1.9000
NeedsCompilation: no
Packaged: 2020-09-23 16:08:48 UTC; max
Author: Max Kuhn [aut, cre],
  Fanny Chow [aut],
  Hadley Wickham [aut],
  RStudio [cph]
Repository: CRAN
Date/Publication: 2020-09-23 17:20:03 UTC

=== debian/changelog ===
r-cran-rsample (0.0.8-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 06 Nov 2020 11:43:51 +0100

r-cran-rsample (0.0.7-1) unstable; urgency=medium

  [ Balint Reczey ]
  * New upstream version 0.0.7

  [ Andreas Tille ]
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 04 Sep 2020 11:46:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: r-cran-rsample
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
-               r-base-dev (>= 0.4.0),
+               r-base-dev,
                r-cran-dplyr (>= 0.8.5),
                r-cran-purrr,
                r-cran-tibble,
@@ -16,7 +15,10 @@
                r-cran-tidyselect,
                r-cran-furrr,
                r-cran-tidyr,
-               r-cran-vctrs (>= 0.3.0)
+               r-cran-vctrs,
+               r-cran-modeldata,
+               r-cran-slider,
+               r-cran-ellipsis
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rsample
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rsample.git

## r-cran-rsample 0.1.1

=== DESCRIPTION ===
Package: rsample
Title: General Resampling Infrastructure
Version: 0.1.1
Authors@R: c(
    person("Julia", "Silge", , "julia.silge@rstudio.com", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-3671-836X")),
    person("Fanny", "Chow", , "fannybchow@gmail.com", role = "aut"),
    person("Max", "Kuhn", , "max@rstudio.com", role = "aut"),
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = "aut"),
    person("RStudio", role = "cph")
  )
Maintainer: Julia Silge <julia.silge@rstudio.com>
Description: Classes and functions to create and summarize different types
    of resampling objects (e.g. bootstrap, cross-validation).
License: MIT + file LICENSE
URL: https://rsample.tidymodels.org,
        https://github.com/tidymodels/rsample
BugReports: https://github.com/tidymodels/rsample/issues
Depends: R (>= 3.2)
Imports: dplyr (>= 1.0.0), ellipsis, furrr, generics, lifecycle,
        methods, purrr, rlang (>= 0.4.10), slider (>= 0.1.5), tibble,
        tidyr, tidyselect, vctrs (>= 0.3.0)
Suggests: broom, covr, ggplot2, knitr, modeldata, recipes (>= 0.1.4),
        rmarkdown, stats, testthat, utils, xml2
VignetteBuilder: knitr
Config/Needs/website: GGally, nlstools, survival, tidymodels,
        tidyposterior, tidyverse/tidytemplate
Encoding: UTF-8
RoxygenNote: 7.1.2
NeedsCompilation: no
Packaged: 2021-11-08 20:30:17 UTC; juliasilge
Author: Julia Silge [aut, cre] (<https://orcid.org/0000-0002-3671-836X>),
  Fanny Chow [aut],
  Max Kuhn [aut],
  Hadley Wickham [aut],
  RStudio [cph]
Repository: CRAN
Date/Publication: 2021-11-08 21:00:02 UTC

=== debian/changelog ===
r-cran-rsample (0.1.1-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Disable reprotest

  [ Nilesh Patra ]
  * New upstream version 0.1.1
  * Fix with cme

 -- Nilesh Patra <nilesh@debian.org>  Fri, 12 Nov 2021 04:42:32 +0530

r-cran-rsample (0.1.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Aug 2021 12:46:31 +0200

=== debian/control ===
--- 
+++ 
@@ -7,19 +7,19 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-dplyr (>= 0.8.5),
+               r-cran-dplyr (>= 1.0.0),
+               r-cran-ellipsis,
+               r-cran-furrr,
+               r-cran-generics,
+               r-cran-lifecycle,
                r-cran-purrr,
+               r-cran-rlang (>= 0.4.10),
+               r-cran-slider,
                r-cran-tibble,
-               r-cran-rlang (>= 0.4.0),
-               r-cran-generics,
+               r-cran-tidyr,
                r-cran-tidyselect,
-               r-cran-furrr,
-               r-cran-tidyr,
-               r-cran-vctrs,
-               r-cran-modeldata,
-               r-cran-slider,
-               r-cran-ellipsis
-Standards-Version: 4.5.0
+               r-cran-vctrs
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rsample
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rsample.git
 Homepage: https://cran.r-project.org/package=rsample

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-broom, r-cran-xml2, r-cran-covr, r-cran-modeldata
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/rsample_([-\d.]*)\.tar\.gz

## r-cran-rsample 1.1.0+dfsg

=== debian/changelog ===
r-cran-rsample (1.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 15 Aug 2022 11:13:04 +0200

r-cran-rsample (1.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Wed, 29 Jun 2022 08:47:59 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
                r-cran-ellipsis,
                r-cran-furrr,
                r-cran-generics,
-               r-cran-lifecycle,
+               r-cran-glue,
+               r-cran-pillar,
                r-cran-purrr,
                r-cran-rlang (>= 0.4.10),
                r-cran-slider,
@@ -19,7 +20,7 @@
                r-cran-tidyr,
                r-cran-tidyselect,
                r-cran-vctrs
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rsample
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rsample.git
 Homepage: https://cran.r-project.org/package=rsample

## r-cran-rsample 1.1.1+dfsg

=== DESCRIPTION ===
Package: rsample
Title: General Resampling Infrastructure
Version: 1.1.1
Authors@R: c(
    person("Hannah", "Frick", , "hannah@posit.co", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-6049-5258")),
    person("Fanny", "Chow", , "fannybchow@gmail.com", role = "aut"),
    person("Max", "Kuhn", , "max@posit.co", role = "aut"),
    person("Michael", "Mahoney", , "mike.mahoney.218@gmail.com", role = c("aut"),
           comment = c(ORCID = "0000-0003-2402-304X")),
    person("Julia", "Silge", , "julia.silge@posit.co", role = c("aut"),
           comment = c(ORCID = "0000-0002-3671-836X")),
    person("Hadley", "Wickham", , "hadley@posit.co", role = "aut"),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Classes and functions to create and summarize different types
    of resampling objects (e.g. bootstrap, cross-validation).
License: MIT + file LICENSE
URL: https://rsample.tidymodels.org,
        https://github.com/tidymodels/rsample
BugReports: https://github.com/tidymodels/rsample/issues
Depends: R (>= 3.4)
Imports: dplyr (>= 1.0.0), furrr, generics, glue, methods, pillar,
        purrr, rlang (>= 0.4.10), slider (>= 0.1.5), tibble, tidyr,
        tidyselect, vctrs (>= 0.5.0)
Suggests: broom, covr, ggplot2, knitr, modeldata, recipes (>= 0.1.4),
        rmarkdown, stats, testthat (>= 3.0.0), utils, whisker, withr,
        xml2
VignetteBuilder: knitr
Config/Needs/website: GGally, nlstools, tidymodels,
        tidyverse/tidytemplate
Encoding: UTF-8
RoxygenNote: 7.2.2
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2022-12-07 17:28:43 UTC; hannah
Author: Hannah Frick [aut, cre] (<https://orcid.org/0000-0002-6049-5258>),
  Fanny Chow [aut],
  Max Kuhn [aut],
  Michael Mahoney [aut] (<https://orcid.org/0000-0003-2402-304X>),
  Julia Silge [aut] (<https://orcid.org/0000-0002-3671-836X>),
  Hadley Wickham [aut],
  Posit Software, PBC [cph, fnd]
Maintainer: Hannah Frick <hannah@posit.co>
Repository: CRAN
Date/Publication: 2022-12-07 21:00:02 UTC

=== debian/changelog ===
r-cran-rsample (1.1.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 12 Dec 2022 14:04:49 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
                dh-r,
                r-base-dev,
                r-cran-dplyr (>= 1.0.0),
-               r-cran-ellipsis,
                r-cran-furrr,
                r-cran-generics,
                r-cran-glue,
@@ -19,7 +18,7 @@
                r-cran-tibble,
                r-cran-tidyr,
                r-cran-tidyselect,
-               r-cran-vctrs
+               r-cran-vctrs (>= 0.5.0)
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rsample
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rsample.git

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/rsample_([-\d.]*)\.tar\.gz

## r-cran-rsample 1.2.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rsample
 Title: General Resampling Infrastructure
-Version: 1.1.1
+Version: 1.2.0
 Authors@R: c(
     person("Hannah", "Frick", , "hannah@posit.co", role = c("aut", "cre"),
            comment = c(ORCID = "0000-0002-6049-5258")),
@@ -19,10 +19,10 @@
 URL: https://rsample.tidymodels.org,
         https://github.com/tidymodels/rsample
 BugReports: https://github.com/tidymodels/rsample/issues
-Depends: R (>= 3.4)
-Imports: dplyr (>= 1.0.0), furrr, generics, glue, methods, pillar,
-        purrr, rlang (>= 0.4.10), slider (>= 0.1.5), tibble, tidyr,
-        tidyselect, vctrs (>= 0.5.0)
+Depends: R (>= 3.6)
+Imports: cli, dplyr (>= 1.1.1), furrr, generics, glue, lifecycle,
+        methods, pillar, purrr (>= 1.0.0), rlang (>= 0.4.10), slider
+        (>= 0.1.5), tibble, tidyr, tidyselect, vctrs (>= 0.5.0)
 Suggests: broom, covr, ggplot2, knitr, modeldata, recipes (>= 0.1.4),
         rmarkdown, stats, testthat (>= 3.0.0), utils, whisker, withr,
         xml2
@@ -30,10 +30,10 @@
 Config/Needs/website: GGally, nlstools, tidymodels,
         tidyverse/tidytemplate
 Encoding: UTF-8
-RoxygenNote: 7.2.2
+RoxygenNote: 7.2.3
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2022-12-07 17:28:43 UTC; hannah
+Packaged: 2023-08-23 08:31:21 UTC; hannah
 Author: Hannah Frick [aut, cre] (<https://orcid.org/0000-0002-6049-5258>),
   Fanny Chow [aut],
   Max Kuhn [aut],
@@ -43,4 +43,4 @@
   Posit Software, PBC [cph, fnd]
 Maintainer: Hannah Frick <hannah@posit.co>
 Repository: CRAN
-Date/Publication: 2022-12-07 21:00:02 UTC
+Date/Publication: 2023-08-23 15:00:02 UTC

=== debian/changelog ===
r-cran-rsample (1.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 12 Sep 2023 06:22:34 +0200

r-cran-rsample (1.1.1+dfsg-2) unstable; urgency=medium

  * Rebuild with r-graphics-engine set by r-base
    Closes: #1039881

 -- Andreas Tille <tille@debian.org>  Thu, 06 Jul 2023 09:58:45 +0200

=== debian/control ===
--- 
+++ 
@@ -7,19 +7,21 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-dplyr (>= 1.0.0),
+               r-cran-cli,
+               r-cran-dplyr (>= 1.1.1),
                r-cran-furrr,
                r-cran-generics,
                r-cran-glue,
+               r-cran-lifecycle,
                r-cran-pillar,
-               r-cran-purrr,
-               r-cran-rlang (>= 0.4.10),
+               r-cran-purrr (>= 1.0.0),
+               r-cran-rlang,
                r-cran-slider,
                r-cran-tibble,
                r-cran-tidyr,
                r-cran-tidyselect,
                r-cran-vctrs (>= 0.5.0)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rsample
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rsample.git
 Homepage: https://cran.r-project.org/package=rsample

## r-cran-rsample 1.2.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rsample
 Title: General Resampling Infrastructure
-Version: 1.2.0
+Version: 1.2.1
 Authors@R: c(
     person("Hannah", "Frick", , "hannah@posit.co", role = c("aut", "cre"),
            comment = c(ORCID = "0000-0002-6049-5258")),
@@ -30,10 +30,10 @@
 Config/Needs/website: GGally, nlstools, tidymodels,
         tidyverse/tidytemplate
 Encoding: UTF-8
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2023-08-23 08:31:21 UTC; hannah
+Packaged: 2024-03-25 09:20:45 UTC; hannah
 Author: Hannah Frick [aut, cre] (<https://orcid.org/0000-0002-6049-5258>),
   Fanny Chow [aut],
   Max Kuhn [aut],
@@ -43,4 +43,4 @@
   Posit Software, PBC [cph, fnd]
 Maintainer: Hannah Frick <hannah@posit.co>
 Repository: CRAN
-Date/Publication: 2023-08-23 15:00:02 UTC
+Date/Publication: 2024-03-25 10:00:02 UTC

=== debian/changelog ===
r-cran-rsample (1.2.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 30 May 2024 08:17:38 +0900

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                r-cran-tidyr,
                r-cran-tidyselect,
                r-cran-vctrs (>= 0.5.0)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rsample
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rsample.git
 Homepage: https://cran.r-project.org/package=rsample

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-broom,
        r-cran-covr,
        r-cran-ggplot2,
        r-cran-knitr,
        r-cran-modeldata,
        r-cran-recipes (>= 0.1.4),
        r-cran-rmarkdown,
        r-cran-testthat (>= 3.0.0),
        r-cran-whisker,
        r-cran-withr,
        r-cran-xml2
Restrictions: allow-stderr

## r-cran-rsample 1.3.2+dfsg

=== debian/changelog ===
r-cran-rsample (1.3.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  * Upstream relicensed to MIT terms.

 -- Charles Plessy <plessy@debian.org>  Tue, 03 Feb 2026 14:05:08 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -14,14 +13,16 @@
                r-cran-glue,
                r-cran-lifecycle,
                r-cran-pillar,
-               r-cran-purrr (>= 1.0.0),
-               r-cran-rlang,
+               r-cran-purrr,
+               r-cran-rlang (>= 1.1.0),
                r-cran-slider,
                r-cran-tibble,
                r-cran-tidyr,
                r-cran-tidyselect,
-               r-cran-vctrs (>= 0.5.0)
-Standards-Version: 4.7.0
+               r-cran-vctrs,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rsample
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rsample.git
 Homepage: https://cran.r-project.org/package=rsample

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-broom,
         r-cran-covr,
         r-cran-ggplot2,
         r-cran-knitr,
         r-cran-modeldata,
         r-cran-recipes,
         r-cran-rmarkdown,
         r-cran-testthat,
         r-cran-whisker,
         r-cran-withr,
         r-cran-xml2
Restrictions: allow-stderr
